Narcissistic, Perfectly Modest

    @sap/eslint-plugin-ui5-jsdocs

    2.0.5 • Public • Published

    Overview

    This is the eslint plugin for UI5 appplications. It contains a set of eslint rules and recommended ESLint configuration for static jsdoc code checks of sap.ui.define modules to be used by UI5 appplication developers.

    Usage

    To add this package as a dependency in your package.json file, do the following:

    1. Under the "devDependencies" section, add the following dependency: "@sap/eslint-plugin-ui5-jsdocs": "2.0.x"
    2. Add .eslintrc.json file with the following content:
    {
      "plugins": ["@sap/ui5-jsdocs"],
      "extends": "plugin:@sap/ui5-jsdocs/recommended"
    }

    List of rules

    Rule Description Recommended Severity Fixable
    no-jsdoc There is no JSDoc provided Warning yes
    no-jsdoc-param There is no JSDoc param defined Warning yes
    check-jsdoc-param-type The JSDoc param type is incorrect Warning yes
    duplicate-jsdoc-params The argument should contain only one JSDoc param Warning no

    Install

    npm i @sap/eslint-plugin-ui5-jsdocs

    DownloadsWeekly Downloads

    729

    Version

    2.0.5

    License

    See LICENSE.txt

    Unpacked Size

    29.5 kB

    Total Files

    17

    Last publish

    Collaborators

    • sap_extncrepos